Bug 277367 - Plasma Crashes After Adding the System Tray to Any Panel
Summary: Plasma Crashes After Adding the System Tray to Any Panel
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-systemtray (show other bugs)
Version: unspecified
Platform: Mageia RPMs Linux
: NOR crash
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 278282 278947 279479 280596 284644 284680 284699 285361 285494 285518 285520 285855 285928 285929 287632 287756 288003 289335 289525 289596 289780 289782 289803 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-07-08 14:21 UTC by Shlomi Fish
Modified: 2012-09-27 08:12 UTC (History)
38 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.4
Sentry Crash Report:


Attachments
The KDE Environment (6.44 KB, text/plain)
2011-07-17 21:03 UTC, Shlomi Fish
Details
The LXDE printenv output (5.85 KB, text/plain)
2011-07-17 21:04 UTC, Shlomi Fish
Details
New crash information added by DrKonqi (11.49 KB, text/plain)
2011-07-20 15:00 UTC, Craig Magina
Details
New crash information added by DrKonqi (12.49 KB, text/plain)
2011-08-09 16:25 UTC, Andrew Stromme
Details
New crash information added by DrKonqi (10.97 KB, text/plain)
2011-08-13 13:58 UTC, omega
Details
New crash information added by DrKonqi (10.59 KB, text/plain)
2011-09-21 19:03 UTC, Kai Uwe Broulik
Details
New crash information added by DrKonqi (16.36 KB, text/plain)
2011-10-17 01:00 UTC, Leonardo
Details
New crash information added by DrKonqi (9.50 KB, text/plain)
2011-10-17 21:38 UTC, Matt Lewis
Details
New crash information added by DrKonqi (10.97 KB, text/plain)
2011-11-06 02:03 UTC, Rob D
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shlomi Fish 2011-07-08 14:21:48 UTC
Version:           unspecified (using Devel) 
OS:                Linux

I had a problem with XChat's and Pidgin's icons not appearing in the system tray so I removed it. Now when I try to add it again, it causes Plasma to crash. I'm using KDE-4.6.90 on Mageia Linux Cauldron.

Reproducible: Always

Steps to Reproduce:
1. Desktop -> Add Panel -> Empty.

2. Cashew -> Add Widgets.

3. Select the System Tray and drag it there.



Actual Results:  
Plasma crashes and the system tray is not added.

Expected Results:  
The system tray will be added.

I am on a Pentium 4 2.4GHz machine with 2.5GB of RAM, and it's an old KDE account. I can attach all the relevant files.
Comment 1 Nicolas L. 2011-07-11 22:04:26 UTC
please install the needed debug packages and add the backtrace on this bugreport
Comment 2 Shlomi Fish 2011-07-12 08:21:40 UTC
(In reply to comment #1)
> please install the needed debug packages and add the backtrace on this
> bugreport

I've installed the needed debug packages, but all I'm getting from gdb is:

Program received signal SIGSEGV, Segmentation fault.
0xb6a80c45 in ?? ()
(gdb) bt
#0  0xb6a80c45 in ?? ()
#1  0x0a2c96c8 in ?? ()
#2  0x0000001c in ?? ()
#3  0x00000019 in ?? ()
#4  0x00000001 in ?? ()
#5  0x0a292f20 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

The command I used was <<gdb /usr/bin/plasma-desktop $PID>>.
Comment 3 Shlomi Fish 2011-07-12 08:22:48 UTC
Oh, and now I'm on kde 4.6.95.
Comment 4 Shlomi Fish 2011-07-17 20:53:46 UTC
OK, here's what happened:

1. I was told I should start plasma-desktop using --nofork in a fresh gdb session.

2. I first had to kill the existing "plasma-desktop". During the first time "kquitapp plasma-desktop" worked, but in subsequent times I had to run "killall plasma-desktop".

3. A plasma-desktop started from an LXTerminal running on top of LXDE on a different screen (DISPLAY=":1") where I set the DISPLAY variable to ":0.0" and started plasma-desktop under gdb - did NOT exhibit the erroneous behaviour and I was able to add system trays to panels there fine.

4. A plasma-desktop under gdb that I started inside a konsole running in the KDE desktop on DISPLAY=":0.0", exhibited the problem and I was able to get two backtrace: one when removing a system tray and one when adding it:

Backtrace when removing systray:
--------------------------------

<BACKTRACE>

Program received signal SIGSEGV, Segmentation fault.
0xb67f3a5b in QGraphicsLayoutItem::setParentLayoutItem (this=0x9038dd0, parent=
    0x0) at graphicsview/qgraphicslayoutitem.cpp:856
856         d_func()->parent = parent;
Missing debug package(s), you should install: akonadi-debug-1.6.0-3.mga2.i586 kdebase4-runtime-debug-4.6.95-0.mga2.i586 kdepim4-runtime-debug-4.6.95-1.mga2.i586 libical-debug-0.46-1.mga1.i586 telepathy-presence-dataengine-debug-0.0-0.git20110624.1.mga2.i586 telepathy-qt4-debug-0.7.1-1.mga2.i586
(gdb) bt
#0  0xb67f3a5b in QGraphicsLayoutItem::setParentLayoutItem (this=0x9038dd0, 
    parent=0x0) at graphicsview/qgraphicslayoutitem.cpp:856
#1  0xb16891b4 in SystemTray::CompactLayout::removeItem (this=0x85868c0, item=
    0x9038dd0)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/compactlayout.cpp:127
#2  0xb168d8b5 in SystemTray::TaskArea::addWidgetForTask (this=0x85858d8, task=
    0x935cfa0)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/taskarea.cpp:269
#3  0xb168e90f in SystemTray::TaskArea::addTask (this=0x85858d8, task=
    0x935cfa0)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/taskarea.cpp:189
#4  0xb168ea4d in SystemTray::TaskArea::qt_metacall (this=0x85858d8, _c=
    QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfffd3f8)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/taskarea.moc:89
#5  0xb6c6477d in QMetaObject::metacall (object=0x85858d8, cl=
    QMetaObject::InvokeMetaMethod, idx=22, argv=0xbfffd3f8)
    at kernel/qmetaobject.cpp:237
#6  0xb6c73fac in QMetaObject::activate (sender=0x84459c8, m=0xb169b014, 
    local_signal_index=1, argv=0xbfffd3f8) at kernel/qobject.cpp:3278
#7  0xb166ddc5 in SystemTray::Manager::taskChanged (this=0x84459c8, _t1=
---Type <return> to continue, or q <return> to quit---
    0x935cfa0)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/manager.moc:106
#8  0xb166e1cd in SystemTray::Manager::qt_metacall (this=0x84459c8, _c=
    QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfffd518)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/manager.moc:84
#9  0xb6c6477d in QMetaObject::metacall (object=0x84459c8, cl=
    QMetaObject::InvokeMetaMethod, idx=5, argv=0xbfffd518)
    at kernel/qmetaobject.cpp:237
#10 0xb6c73fac in QMetaObject::activate (sender=0x935cfa0, m=0xb169b0e8, 
    local_signal_index=0, argv=0xbfffd518) at kernel/qobject.cpp:3278
#11 0xb166eee5 in SystemTray::Task::changed (this=0x935cfa0, _t1=0x935cfa0)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/task.moc:112
#12 0xb166f498 in SystemTray::Task::widgetDeleted (this=0x935cfa0)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/core/task.cpp:129
#13 0xb166f54c in SystemTray::Task::qt_metacall (this=0x935cfa0, _c=
    QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfffd6c8)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/task.moc:100
#14 0xb166ff92 in SystemTray::FdoTask::qt_metacall (this=0x935cfa0, _c=
    QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfffd6c8)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/fdotask.moc:67
#15 0xb6c6477d in QMetaObject::metacall (object=0x935cfa0, cl=
    QMetaObject::InvokeMetaMethod, idx=6, argv=0xbfffd6c8)
    at kernel/qmetaobject.cpp:237
#16 0xb6c73fac in QMetaObject::activate (sender=0x9038dc0, m=0xb6d942b0, 
    local_signal_index=0, argv=0xbfffd6c8) at kernel/qobject.cpp:3278
#17 0xb6c744f5 in QObject::destroyed (this=0x9038dc0, _t1=0x9038dc0)
    at .moc/release-shared/moc_qobject.cpp:149
#18 0xb6c76abd in QObject::~QObject (this=0x9038dc0, 
    __in_chrg=<value optimized out>) at kernel/qobject.cpp:843
#19 0xb683ae34 in ~QGraphicsObject (this=0x9038dc0, 
    __in_chrg=<value optimized out>)
    at ../../src/gui/graphicsview/qgraphicsitem.h:547
#20 QGraphicsWidget::~QGraphicsWidget (this=0x9038dc0, 
    __in_chrg=<value optimized out>) at graphicsview/qgraphicswidget.cpp:232
#21 0xb1670270 in SystemTray::FdoGraphicsWidget::~FdoGraphicsWidget (this=
    0x9038dc0, __in_chrg=<value optimized out>)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/protocols/fdo/fdographicswidget.cpp:74
#22 0xb16702e2 in SystemTray::FdoGraphicsWidget::~FdoGraphicsWidget (this=
    0x9038dc0, __in_chrg=<value optimized out>)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/protocols/fdo/fdographicswidget.cpp:77
---Type <return> to continue, or q <return> to quit---
#23 0xb67e1df3 in QGraphicsItem::~QGraphicsItem (this=0x845e2a0, 
    __in_chrg=<value optimized out>) at graphicsview/qgraphicsitem.cpp:1481
#24 0xb683ae2c in ~QGraphicsObject (this=0x845e298, 
    __in_chrg=<value optimized out>)
    at ../../src/gui/graphicsview/qgraphicsitem.h:547
#25 QGraphicsWidget::~QGraphicsWidget (this=0x845e298, 
    __in_chrg=<value optimized out>) at graphicsview/qgraphicswidget.cpp:232
#26 0xb168bb0e in SystemTray::TaskArea::~TaskArea (this=0x845e298, 
    __in_chrg=<value optimized out>)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/taskarea.cpp:133
#27 0xb168bbe2 in SystemTray::TaskArea::~TaskArea (this=0x845e298, 
    __in_chrg=<value optimized out>)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/taskarea.cpp:140
#28 0xb1683770 in SystemTray::Applet::~Applet (this=0x8443488, 
    __in_chrg=<value optimized out>)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/applet.cpp:145
#29 0xb1683992 in SystemTray::Applet::~Applet (this=0x8443488, 
    __in_chrg=<value optimized out>)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/applet.cpp:163
#30 0xb6c71193 in qDeleteInEventHandler (o=0x8443488)
---Type <return> to continue, or q <return> to quit---
    at kernel/qobject.cpp:3986
#31 0xb6c73ad8 in QObject::event (this=0x8443488, e=0x8d8ad20)
    at kernel/qobject.cpp:1200
#32 0xb6836eb4 in QGraphicsWidget::event (this=0x8443488, event=0x8d8ad20)
    at graphicsview/qgraphicswidget.cpp:1423
#33 0xb615dfb4 in QApplicationPrivate::notify_helper (this=0x80b6158, receiver=
    0x8443488, e=0x8d8ad20) at kernel/qapplication.cpp:4462
#34 0xb6162f97 in QApplication::notify (this=0x808af18, receiver=0x8443488, e=
    0x8d8ad20) at kernel/qapplication.cpp:3862
#35 0xb72e30a1 in KApplication::notify (this=0x808af18, receiver=0x8443488, 
    event=0x8d8ad20)
    at /usr/src/debug/kdelibs-4.6.95/kdeui/kernel/kapplication.cpp:311
#36 0xb6c5df2e in QCoreApplication::notifyInternal (this=0x808af18, receiver=
    0x8443488, event=0x8d8ad20) at kernel/qcoreapplication.cpp:731
#37 0xb6c61ccc in sendEvent (receiver=0x0, event_type=0, data=0x8050a20)
    at kernel/qcoreapplication.h:215
#38 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, 
    data=0x8050a20) at kernel/qcoreapplication.cpp:1372
#39 0xb6c61e1c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=
    0) at kernel/qcoreapplication.cpp:1265
#40 0xb6c8cc14 in sendPostedEvents (s=0x80bbcd0)
    at kernel/qcoreapplication.h:220
#41 postEventSourceDispatch (s=0x80bbcd0)
    at kernel/qeventdispatcher_glib.cpp:277
---Type <return> to continue, or q <return> to quit---
#42 0xb3aa2619 in g_main_dispatch (context=0x80bbc40) at gmain.c:2500
#43 g_main_context_dispatch (context=0x80bbc40) at gmain.c:3083
#44 0xb3aa2e00 in g_main_context_iterate (context=0x80bbc40, block=1, dispatch=
    1, self=<value optimized out>) at gmain.c:3161
#45 0xb3aa300a in g_main_context_iteration (context=0x80bbc40, may_block=1)
    at gmain.c:3224
#46 0xb6c8cd9b in QEventDispatcherGlib::processEvents (this=0x80b0f30, flags=
    ...) at kernel/qeventdispatcher_glib.cpp:422
#47 0xb62157fa in QGuiEventDispatcherGlib::processEvents (this=0x80b0f30, 
    flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#48 0xb6c5d13d in QEventLoop::processEvents (this=0xbfffe124, flags=...)
    at kernel/qeventloop.cpp:149
#49 0xb6c5d3b9 in QEventLoop::exec (this=0xbfffe124, flags=...)
    at kernel/qeventloop.cpp:201
#50 0xb6c61ef0 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#51 0xb615bd34 in QApplication::exec () at kernel/qapplication.cpp:3736
#52 0xb7f7dfdb in kdemain (argc=2, argv=0xbfffe354)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/desktop/shell/main.cpp:120
#53 0x080485fb in main (argc=2, argv=0xbfffe354)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/desktop/shell/plasma-desktop_dummy.cpp:3
(gdb) 
(gdb) q
</BACKTRACE>

And a Backtrace when adding a systray:

<BACKTRACE>
Program received signal SIGSEGV, Segmentation fault.
QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0xffffffff)
    at graphicsview/qgraphicslayoutitem.cpp:280
280         if (isLayout) {
Missing debug package(s), you should install: akonadi-debug-1.6.0-3.mga2.i586 kdebase4-runtime-debug-4.6.95-0.mga2.i586 kdepim4-runtime-debug-4.6.95-1.mga2.i586 libical-debug-0.46-1.mga1.i586 telepathy-presence-dataengine-debug-0.0-0.git20110624.1.mga2.i586 telepathy-qt4-debug-0.7.1-1.mga2.i586
(gdb) bt
#0  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0xffffffff)
    at graphicsview/qgraphicslayoutitem.cpp:280
#1  0xb683fef8 in QGridLayoutItem::hasDynamicConstraint (this=0x955f178)
    at graphicsview/qgridlayoutengine.cpp:576
#2  0xb684105b in QGridLayoutEngine::ensureDynamicConstraint (this=0x957adc0)
    at graphicsview/qgridlayoutengine.cpp:1657
#3  0xb68410f0 in QGridLayoutEngine::hasDynamicConstraint (this=0x957adc0)
    at graphicsview/qgridlayoutengine.cpp:1677
#4  0xb6844e84 in QGridLayoutEngine::sizeHint (this=0x957adc0, styleInfo=..., 
    which=Qt::MaximumSize, constraint=...)
    at graphicsview/qgridlayoutengine.cpp:1134
#5  0xb67c576f in QGraphicsGridLayout::sizeHint (this=0x93aaaa8, which=
    Qt::MaximumSize, constraint=...)
    at graphicsview/qgraphicsgridlayout.cpp:656
#6  0xb67f2cf1 in QGraphicsLayoutItemPrivate::effectiveSizeHints (this=
    0x957acd0, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:169
#7  0xb67f3754 in QGraphicsLayoutItem::effectiveSizeHint (this=0x93aaaa8, 
    which=Qt::MinimumSize, constraint=...)
    at graphicsview/qgraphicslayoutitem.cpp:818
#8  0xb683665c in QGraphicsWidget::sizeHint (this=0x9577af0, which=
    Qt::MinimumSize, constraint=...) at graphicsview/qgraphicswidget.cpp:729
#9  0xb67f2dd3 in QGraphicsLayoutItemPrivate::effectiveSizeHints (this=
    0x957b280, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:175
#10 0xb67f3754 in QGraphicsLayoutItem::effectiveSizeHint (this=0x9577b00, 
---Type <return> to continue, or q <return> to quit---
    which=Qt::PreferredSize, constraint=...)
    at graphicsview/qgraphicslayoutitem.cpp:818
#11 0xb15fb091 in SystemTray::TaskArea::adjustHiddentTasksWidget (this=
    0x9557510)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/taskarea.cpp:429
#12 0xb15fd367 in SystemTray::TaskArea::addWidgetForTask (this=0x9557510, task=
    0x9560630)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/taskarea.cpp:309
#13 0xb15fd90f in SystemTray::TaskArea::addTask (this=0x9557510, task=
    0x9560630)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/taskarea.cpp:189
#14 0xb15fda4d in SystemTray::TaskArea::qt_metacall (this=0x9557510, _c=
    QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfffd5b8)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/taskarea.moc:89
#15 0xb6c6477d in QMetaObject::metacall (object=0x9557510, cl=
    QMetaObject::InvokeMetaMethod, idx=22, argv=0xbfffd5b8)
    at kernel/qmetaobject.cpp:237
#16 0xb6c73fac in QMetaObject::activate (sender=0x853f368, m=0xb160a014, 
    local_signal_index=0, argv=0xbfffd5b8) at kernel/qobject.cpp:3278
#17 0xb15dcd75 in SystemTray::Manager::taskAdded (this=0x853f368, _t1=
---Type <return> to continue, or q <return> to quit---
    0x9560630)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/manager.moc:99
#18 0xb15dcf88 in SystemTray::Manager::addTask (this=0x853f368, task=0x9560630)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/core/manager.cpp:87
#19 0xb15dd18d in SystemTray::Manager::qt_metacall (this=0x853f368, _c=
    QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfffd748)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/manager.moc:86
#20 0xb6c6477d in QMetaObject::metacall (object=0x853f368, cl=
    QMetaObject::InvokeMetaMethod, idx=7, argv=0xbfffd748)
    at kernel/qmetaobject.cpp:237
#21 0xb6c73fac in QMetaObject::activate (sender=0x85512d8, m=0xb160a084, 
    local_signal_index=0, argv=0xbfffd748) at kernel/qobject.cpp:3278
#22 0xb15dd945 in SystemTray::Protocol::taskCreated (this=0x85512d8, _t1=
    0x9560630)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/protocol.moc:91
#23 0xb15e5df8 in SystemTray::PlasmoidProtocol::addApplet (this=0x85512d8, 
    appletName=..., id=0, parent=0x957e0f8)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/protocols/plasmoid/plasmoidtaskprotocol.cpp:112
#24 0xb15dcb19 in SystemTray::Manager::addApplet (this=0x853f368, appletName=
---Type <return> to continue, or q <return> to quit---
    ..., parent=0x957e0f8)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/core/manager.cpp:110
#25 0xb15f14f3 in SystemTray::Applet::checkDefaultApplets (this=0x957e0f8)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/generic/applets/systemtray/ui/applet.cpp:755
#26 0xb15f267c in SystemTray::Applet::qt_metacall (this=0x957e0f8, _c=
    QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x9470e80)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/generic/applets/systemtray/applet.moc:91
#27 0xb6c6477d in QMetaObject::metacall (object=0x957e0f8, cl=
    QMetaObject::InvokeMetaMethod, idx=82, argv=0x9470e80)
    at kernel/qmetaobject.cpp:237
#28 0xb6c6f3c5 in QMetaCallEvent::placeMetaCall (this=0x9561750, object=
    0x957e0f8) at kernel/qobject.cpp:535
#29 0xb6c73aaf in QObject::event (this=0x957e0f8, e=0x9561750)
    at kernel/qobject.cpp:1217
#30 0xb6836eb4 in QGraphicsWidget::event (this=0x957e0f8, event=0x9561750)
    at graphicsview/qgraphicswidget.cpp:1423
#31 0xb615dfb4 in QApplicationPrivate::notify_helper (this=0x80b6158, receiver=
    0x957e0f8, e=0x9561750) at kernel/qapplication.cpp:4462
#32 0xb6162f97 in QApplication::notify (this=0x808af18, receiver=0x957e0f8, e=
    0x9561750) at kernel/qapplication.cpp:3862
#33 0xb72e30a1 in KApplication::notify (this=0x808af18, receiver=0x957e0f8, 
---Type <return> to continue, or q <return> to quit---
    event=0x9561750)
    at /usr/src/debug/kdelibs-4.6.95/kdeui/kernel/kapplication.cpp:311
#34 0xb6c5df2e in QCoreApplication::notifyInternal (this=0x808af18, receiver=
    0x957e0f8, event=0x9561750) at kernel/qcoreapplication.cpp:731
#35 0xb6c61ccc in sendEvent (receiver=0x0, event_type=0, data=0x8050a20)
    at kernel/qcoreapplication.h:215
#36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, 
    data=0x8050a20) at kernel/qcoreapplication.cpp:1372
#37 0xb6c61e1c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=
    0) at kernel/qcoreapplication.cpp:1265
#38 0xb6c8cc14 in sendPostedEvents (s=0x80bbcd0)
    at kernel/qcoreapplication.h:220
#39 postEventSourceDispatch (s=0x80bbcd0)
    at kernel/qeventdispatcher_glib.cpp:277
#40 0xb3aa2619 in g_main_dispatch (context=0x80bbc40) at gmain.c:2500
#41 g_main_context_dispatch (context=0x80bbc40) at gmain.c:3083
#42 0xb3aa2e00 in g_main_context_iterate (context=0x80bbc40, block=1, dispatch=

    1, self=<value optimized out>) at gmain.c:3161
#43 0xb3aa300a in g_main_context_iteration (context=0x80bbc40, may_block=1)
    at gmain.c:3224
#44 0xb6c8cd9b in QEventDispatcherGlib::processEvents (this=0x80b0f30, flags=
    ...) at kernel/qeventdispatcher_glib.cpp:422
#45 0xb62157fa in QGuiEventDispatcherGlib::processEvents (this=0x80b0f30, 
    flags=...) at kernel/qguieventdispatcher_glib.cpp:204
---Type <return> to continue, or q <return> to quit---
#46 0xb6c5d13d in QEventLoop::processEvents (this=0xbfffe124, flags=...)
    at kernel/qeventloop.cpp:149
#47 0xb6c5d3b9 in QEventLoop::exec (this=0xbfffe124, flags=...)
    at kernel/qeventloop.cpp:201
#48 0xb6c61ef0 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#49 0xb615bd34 in QApplication::exec () at kernel/qapplication.cpp:3736
#50 0xb7f7dfdb in kdemain (argc=2, argv=0xbfffe354)
    at /usr/src/debug/kde-workspace-4.6.95/plasma/desktop/shell/main.cpp:120
#51 0x080485fb in main (argc=2, argv=0xbfffe354)
    at /usr/src/debug/kde-workspace-4.6.95/build/plasma/desktop/shell/plasma-desktop_dummy.cpp:3
(gdb) q
A debugging session is active.

        Inferior 1 [process 26434] will be killed.
</BACKTRACE>

Hope it helps.

I'll also include the two "printenv" outputs in konsole and in LXTerminal.
Comment 5 Shlomi Fish 2011-07-17 21:03:08 UTC
Created attachment 61947 [details]
The KDE Environment

This is the KDE environment inside a konsole on a KDE session.
Comment 6 Shlomi Fish 2011-07-17 21:04:28 UTC
Created attachment 61948 [details]
The LXDE printenv output 

This is the LXDE printenv output from an LXTerminal on top of LXDE on DISPLAY=":1.0". Setting DISPLAY to ":0.0" and running plasma-desktop there prevents it from crashing.
Comment 7 Craig Magina 2011-07-20 15:00:43 UTC
Created attachment 62020 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.90 (4.7 RC1) using Qt 4.7.3

- What I was doing when the application crashed:
I was adding a second system tray to a new panel I had created.

I did not try this a second time, but I was successful in dragging the other system tray from the other panel to the desktop and then to the new panel.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x656c62617275) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f9f84c8b091 in QGridLayoutItem::hasDynamicConstraint (this=<value optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f9f84c8c1b2 in ensureDynamicConstraint (this=0x4ace390) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x4ace390) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f9f84c8c269 in QGridLayoutEngine::hasDynamicConstraint (this=0x4ace390) at graphicsview/qgridlayoutengine.cpp:1677
Comment 8 Shlomi Fish 2011-07-30 17:16:17 UTC
Hi,

my last activity on this bug was two weeks ago. Why didn't anyone investigate further?

Regards,

-- Shlomi Fish
Comment 9 Christoph Feck 2011-08-05 15:04:28 UTC
*** Bug 278282 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2011-08-05 15:04:54 UTC
*** Bug 278947 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2011-08-06 12:11:46 UTC
*** Bug 279479 has been marked as a duplicate of this bug. ***
Comment 12 Andrew Stromme 2011-08-09 16:25:52 UTC
Created attachment 62701 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.2

Kubuntu 11.04 with KDE 4.7 installed -- same crash.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x740065006e002e) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f4405e98581 in QGridLayoutItem::hasDynamicConstraint (this=0x228ad20) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f4405e99839 in QGridLayoutEngine::ensureDynamicConstraint (this=0x23421e0) at graphicsview/qgridlayoutengine.cpp:1657
#9  0x00007f4405e998e9 in QGridLayoutEngine::hasDynamicConstraint (this=0x23421e0) at graphicsview/qgridlayoutengine.cpp:1677
#10 0x00007f4405e9d638 in QGridLayoutEngine::sizeHint (this=0x23421e0, styleInfo=..., which=Qt::MaximumSize, constraint=...) at graphicsview/qgridlayoutengine.cpp:1134
Comment 13 omega 2011-08-13 13:58:32 UTC
Created attachment 62809 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.3

- Custom settings of the application:

plasma desktop crashed when i try to add defaul panel


Steps to Reproduce:
1. Desktop -> Add Panel -> Default Panel.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f7c91580071 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f7c91581192 in ensureDynamicConstraint (this=0x432edd0) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x432edd0) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f7c91581249 in QGridLayoutEngine::hasDynamicConstraint (this=0x432edd0) at graphicsview/qgridlayoutengine.cpp:1677
Comment 14 Kamus Hadenes 2011-08-16 02:55:20 UTC
Bug also reproducible in Gentoo with kernel 3.0.1, KDE 4.7 and NVIDIA 275.09.07.
Possible workaround is to open ~/.kde4/config/plasma-desktop-appletsrc, look for the section that contains "plugin=systemtray", remove it and then restart Plasma (kquitapp plasma-desktop && plasma-desktop).
After that, you shall be able to add System Tray again. 

Tip: Alt+F2 works even if plasma-desktop is not running.
Comment 15 Christoph Feck 2011-08-25 14:44:27 UTC
*** Bug 280596 has been marked as a duplicate of this bug. ***
Comment 16 Kai Uwe Broulik 2011-09-21 19:03:03 UTC
Created attachment 63828 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.2

I added a systemtray plasmoid onto a desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x73006500640065) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x0000003ce3be9581 in QGridLayoutItem::hasDynamicConstraint (this=0x41db310) at graphicsview/qgridlayoutengine.cpp:576
#8  0x0000003ce3bea839 in QGridLayoutEngine::ensureDynamicConstraint (this=0x2ed5570) at graphicsview/qgridlayoutengine.cpp:1657
#9  0x0000003ce3bea8e9 in QGridLayoutEngine::hasDynamicConstraint (this=0x2ed5570) at graphicsview/qgridlayoutengine.cpp:1677
#10 0x0000003ce3bee638 in QGridLayoutEngine::sizeHint (this=0x2ed5570, styleInfo=..., which=Qt::MaximumSize, constraint=...) at graphicsview/qgridlayoutengine.cpp:1134
Comment 17 Dario Andres 2011-09-29 14:45:11 UTC
[Comment from a bug report cleaner]
Bug 281557 and its duplicates are related to the first crash (SystemTray::CompactLayout::removeItem)
Bug 282738 and its duplicates are related to the other backtraces (hasHeightForWidth)
Comment 18 Leonardo 2011-10-17 01:00:42 UTC
Created attachment 64616 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

I just added a system tray widget to the panel and it crashed. It happens every time i try even after reboot.

- Unusual behavior I noticed:

I tried adding another widgets and they are fine, the only one crashing the app is the system tray. When you open a new default panel it crashes also, but i think it is related to the creation of a new system tray on it.

- Custom settings of the application:

-- Backtrace (Reduced):
#7  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:280
#8  0x060ef458 in QGridLayoutItem::hasDynamicConstraint (this=0xa6e6800) at graphicsview/qgridlayoutengine.cpp:576
#9  0x060f044e in ensureDynamicConstraint (this=0xa05e008) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0xa05e008) at graphicsview/qgridlayoutengine.cpp:1652
#11 0x060f04f0 in QGridLayoutEngine::hasDynamicConstraint (this=0xa05e008) at graphicsview/qgridlayoutengine.cpp:1677
Comment 19 Matt Lewis 2011-10-17 21:38:56 UTC
Created attachment 64650 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

I was attempting to add a system tray to a new, blank panel (I was adding the panel to my second monitor).

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x12800000000) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f3ffb750591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f3ffb7516b2 in ensureDynamicConstraint (this=0x573c110) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x573c110) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f3ffb751769 in QGridLayoutEngine::hasDynamicConstraint (this=0x573c110) at graphicsview/qgridlayoutengine.cpp:1677
Comment 20 Mat Lechner 2011-10-18 13:53:03 UTC
I have the same problem. The crashes especially occur when I add another screen, on which the panel conatining the system tray is then drawn. After the start, some weird entries (containing "org/kde/statusnotifieritem" in their specifier when looked after in the systrays configuration menu) are shown as blank spaces in the tray, maybe that has something to do with the problem?
Comment 21 Christoph Feck 2011-10-22 00:38:21 UTC
*** Bug 284644 has been marked as a duplicate of this bug. ***
Comment 22 Lamarque V. Souza 2011-10-22 15:50:28 UTC
*** Bug 284699 has been marked as a duplicate of this bug. ***
Comment 23 Lamarque V. Souza 2011-10-22 15:52:11 UTC
*** Bug 284680 has been marked as a duplicate of this bug. ***
Comment 24 Aashish 2011-11-04 12:40:09 UTC
I am using Arch Linux and I have the same problem. I try to add the system tray to the default panel and the screen goes blank and comes back again but no system tray icon in the panel. There is already a tick mark in the system tray in the widget, I guess the tick mark appear on items that are currently used. 

This started after upgrading to kde 4.7.3. My Qt version is 4.7.4. I do not get the crash report every time but I have see it four or five time for this issue. At present it seems like whenever I start the Panel Tool Box all the messages and error is begin shown in yakuake drop down terminal.  Sorry I do not have the crash report, I am not sure why the crash generator is not starting.
Comment 25 Aashish 2011-11-05 13:32:04 UTC
The above post was yesterday. This morning I again tried to add system tray twice and crash report was generate both the times. Here is the back trace content of one of those.


Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f0bb4b92760 (LWP 1074))]

Thread 2 (Thread 0x7f0b96dbd700 (LWP 1077)):
#0  0x00007f0bb220b123 in poll () from /lib/libc.so.6
#1  0x00007f0baf246d08 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f0baf2471c9 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f0bb37ff66e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f0bb37d3a92 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f0bb37d3c97 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f0bb36eb13f in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f0bb37b6aef in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f0bb36edbc5 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f0bb3463df0 in start_thread () from /lib/libpthread.so.0
#10 0x00007f0bb221339d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0bb4b92760 (LWP 1074)):
[KCrash Handler]
#6  0x00007f0bb2f69b06 in ?? () from /usr/lib/libQtGui.so.4
#7  0x00007f0bb2faf8c1 in ?? () from /usr/lib/libQtGui.so.4
#8  0x00007f0bb2fb09e2 in ?? () from /usr/lib/libQtGui.so.4
#9  0x00007f0bb2fb0a99 in ?? () from /usr/lib/libQtGui.so.4
#10 0x00007f0bb2fb4dc8 in ?? () from /usr/lib/libQtGui.so.4
#11 0x00007f0bb2f3e2aa in QGraphicsGridLayout::sizeHint(Qt::SizeHint, QSizeF const&) const () from /usr/lib/libQtGui.so.4
#12 0x00007f0bb2f68e49 in ?? () from /usr/lib/libQtGui.so.4
#13 0x00007f0bb2f69701 in QGraphicsLayoutItem::effectiveSizeHint(Qt::SizeHint, QSizeF const&) const () from /usr/lib/libQtGui.so.4
#14 0x00007f0bb2fa6561 in QGraphicsWidget::sizeHint(Qt::SizeHint, QSizeF const&) const () from /usr/lib/libQtGui.so.4
#15 0x00007f0bb2f68f1f in ?? () from /usr/lib/libQtGui.so.4
#16 0x00007f0bb2f69701 in QGraphicsLayoutItem::effectiveSizeHint(Qt::SizeHint, QSizeF const&) const () from /usr/lib/libQtGui.so.4
#17 0x00007f0b95055965 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#18 0x00007f0b95057639 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#19 0x00007f0b95057986 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#20 0x00007f0b95058184 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#21 0x00007f0bb37e75ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#22 0x00007f0b9503a8df in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#23 0x00007f0b9503aaf5 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#24 0x00007f0b9503ac44 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#25 0x00007f0bb37e75ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#26 0x00007f0b9503b0ef in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#27 0x00007f0b950421d8 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#28 0x00007f0b9503a736 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#29 0x00007f0b9504ca90 in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#30 0x00007f0b9504daac in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#31 0x00007f0bb37eb18e in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#32 0x00007f0bb2fa6bcb in QGraphicsWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#33 0x00007f0bb298dae4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#34 0x00007f0bb2992951 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#35 0x00007f0bb456fbb6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#36 0x00007f0bb37d489c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#37 0x00007f0bb37d7c2f in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#38 0x00007f0bb37ff1a3 in ?? () from /usr/lib/libQtCore.so.4
#39 0x00007f0baf2467fd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#40 0x00007f0baf246ff8 in ?? () from /usr/lib/libglib-2.0.so.0
#41 0x00007f0baf2471c9 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#42 0x00007f0bb37ff606 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#43 0x00007f0bb2a30eee in ?? () from /usr/lib/libQtGui.so.4
#44 0x00007f0bb37d3a92 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#45 0x00007f0bb37d3c97 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#46 0x00007f0bb37d7eab in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#47 0x00007f0ba31b4173 in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
#48 0x00000000004082a7 in _start ()
Comment 26 Lamarque V. Souza 2011-11-05 23:09:54 UTC
*** Bug 285855 has been marked as a duplicate of this bug. ***
Comment 27 Lamarque V. Souza 2011-11-05 23:10:00 UTC
*** Bug 285520 has been marked as a duplicate of this bug. ***
Comment 28 Lamarque V. Souza 2011-11-05 23:10:08 UTC
*** Bug 285518 has been marked as a duplicate of this bug. ***
Comment 29 Lamarque V. Souza 2011-11-05 23:10:14 UTC
*** Bug 285494 has been marked as a duplicate of this bug. ***
Comment 30 Lamarque V. Souza 2011-11-05 23:10:23 UTC
*** Bug 285361 has been marked as a duplicate of this bug. ***
Comment 31 Rob D 2011-11-06 02:03:42 UTC
Created attachment 65277 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Browsing the web, I think.
plasma crashed, and I lost my main panel.
This is CRITICAL - I can't get my system tray back.

useful trace is added in case it helps.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x81) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f7694cb5591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f7694cb66b2 in ensureDynamicConstraint (this=0x35696f0) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x35696f0) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f7694cb6769 in QGridLayoutEngine::hasDynamicConstraint (this=0x35696f0) at graphicsview/qgridlayoutengine.cpp:1677
Comment 32 Rob D 2011-11-06 02:13:45 UTC
(In reply to comment #14)
> Bug also reproducible in Gentoo with kernel 3.0.1, KDE 4.7 and NVIDIA
> 275.09.07.
> Possible workaround is to open ~/.kde4/config/plasma-desktop-appletsrc, look
> for the section that contains "plugin=systemtray", remove it and then restart
> Plasma (kquitapp plasma-desktop && plasma-desktop).
> After that, you shall be able to add System Tray again. 
> 
> Tip: Alt+F2 works even if plasma-desktop is not running.

This worked for me, but this bug needs to be fixed urgently...
Comment 33 Lamarque V. Souza 2011-11-06 22:52:00 UTC
*** Bug 285928 has been marked as a duplicate of this bug. ***
Comment 34 Lamarque V. Souza 2011-11-06 22:52:15 UTC
*** Bug 285929 has been marked as a duplicate of this bug. ***
Comment 35 Aaron J. Seigo 2011-11-09 16:19:06 UTC
Git commit 2d1deb4234aa3d43e2a7cc48fc1f6936bd2ff97c by Aaron Seigo.
Committed on 09/11/2011 at 17:11.
Pushed by aseigo into branch 'KDE/4.7'.

since the widget is being deleted, remove it from the collection

BUG:286197
BUG:286195
BUG:264750
BUG:277367
BUG:280326
BUG:280072
BUG:282552
BUG:283061
BUG:284603
BUG:286177
BUG:286181

M  +2    -2    plasma/generic/applets/systemtray/core/task.cpp

http://commits.kde.org/kde-workspace/2d1deb4234aa3d43e2a7cc48fc1f6936bd2ff97c
Comment 36 Aaron J. Seigo 2011-11-09 16:19:12 UTC
Git commit c4adbef26fc61a93c36981ed81cb741e00d63043 by Aaron Seigo.
Committed on 09/11/2011 at 17:11.
Pushed by aseigo into branch 'master'.

since the widget is being deleted, remove it from the collection

BUG:286197
BUG:286195
BUG:264750
BUG:277367
BUG:280326
BUG:280072
BUG:282552
BUG:283061
BUG:284603
BUG:286177
BUG:286181

M  +2    -2    plasma/generic/applets/systemtray/core/task.cpp

http://commits.kde.org/kde-workspace/c4adbef26fc61a93c36981ed81cb741e00d63043
Comment 37 Lamarque V. Souza 2011-11-26 21:35:28 UTC
*** Bug 287632 has been marked as a duplicate of this bug. ***
Comment 38 Beat Wolf 2011-11-28 14:37:43 UTC
*** Bug 287756 has been marked as a duplicate of this bug. ***
Comment 39 Jekyll Wu 2011-12-02 00:12:48 UTC
*** Bug 288003 has been marked as a duplicate of this bug. ***
Comment 40 Lamarque V. Souza 2011-12-19 10:21:08 UTC
*** Bug 289335 has been marked as a duplicate of this bug. ***
Comment 41 Anne-Marie Mahfouf 2011-12-21 21:03:52 UTC
*** Bug 289525 has been marked as a duplicate of this bug. ***
Comment 42 Anne-Marie Mahfouf 2011-12-22 17:41:57 UTC
*** Bug 289596 has been marked as a duplicate of this bug. ***
Comment 43 Lamarque V. Souza 2011-12-25 15:21:51 UTC
*** Bug 289780 has been marked as a duplicate of this bug. ***
Comment 44 Lamarque V. Souza 2011-12-25 15:22:02 UTC
*** Bug 289782 has been marked as a duplicate of this bug. ***
Comment 45 Lamarque V. Souza 2011-12-26 03:20:26 UTC
*** Bug 289803 has been marked as a duplicate of this bug. ***
Comment 46 rtdvrs 2012-09-26 20:48:40 UTC
This problem still exists or was reintroduced in version 4.9.1.
Comment 47 Christoph Feck 2012-09-26 23:01:04 UTC
Can you please file a new bug report with an updated backtrace?
Comment 48 rtdvrs 2012-09-27 07:00:39 UTC
Did you follow my instructions to reproduce it? (Make empty panel, add system tray, see it hang?) First try that. 

Perhaps if you would tell me how, I could create a backtrace (but DrKonqi doesn't show up, and it does for other actual crashes).
Comment 49 rtdvrs 2012-09-27 07:20:27 UTC
Alternatively, if you want me to try to fix this, provide a documented script which fetches the latest plasma, builds it, and runs plasma in a nested X under gdb. (If you want developers, this should be one one the top priorities. )
Comment 50 Rob D 2012-09-27 08:12:37 UTC
rtdvrs,

Just a suggestion, but 'please' never cost anyone anything - your posts seem... demanding, yet no one here owes you anything.
Please be polite.